package net.sf.sido.pojo.tool.model;

import java.io.IOException;
import java.io.PrintWriter;

public class JField extends JMember<JField> {

    private final String type;
    private final String name;

    public JField(JClass parent, String type, String name) {
        super(parent);
        setScope("private");
        this.type = type;
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    @Override
    protected void writeDecl(PrintWriter writer) throws IOException {
        writer.format("%s %s;%n", type, name);
    }

    /**
     * Nothing to write
     */
    @Override
    protected void writeContent(PrintWriter writer) throws IOException {
    }
}
